ALTER GROUP()

NAME
ALTER GROUP - change a user group

SYNOPSIS

ALTER GROUP groupname ADD USER username [, ... ]
ALTER GROUP groupname DROP USER username [, ... ]
ALTER GROUP groupname RENAME TO newname

DESCRIPTION

ALTER GROUP is used to change a user group. The first two variants add or remove users from a group. Only database superusers can use this command. Adding a user to a group does not create the user. Similarly, removing a user from a group does not drop the user itself.

The third variant changes the name of the group. Only a database superuser can rename groups.

PARAMETERS

groupname
    The name of the group to modify.

username
    Users which are to be added or removed from the group. The users must exist.

newname
    The new name of the group.

EXAMPLES

Add users to a group:

ALTER GROUP staff ADD USER karl, john;

Remove a user from a group:

ALTER GROUP workers DROP USER beth;

COMPATIBILITY

There is no ALTER GROUP statement in the SQL standard. The concept of roles is similar.

SEE ALSO
CREATE GROUP [create_group(7)], DROP GROUP [drop_group(l)]